Name:           libqrencode
Version:        4.1.1
Release:        1%{?dist}
Summary:        fast and compact QR Code encoding library

License:        LGPL-2.1
URL:            https://github.com/fukuchi/libqrencode
Source0:        https://github.com/fukuchi/libqrencode/archive/refs/tags/v4.1.1.tar.gz

BuildRequires:  libtool
BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  libpng-devel
Requires:       libpng

%description
Libqrencode is a fast and compact library for encoding data in a QR Code,
a 2D symbology that can be scanned by handy terminals such as a smartphone.
The capacity of QR Code is up to 7000 digits or 4000 characters and has high
robustness.

Libqrencode accepts a string or a list of data chunks then encodes in a QR
Code symbol as a bitmap array. While other QR Code applications generate an
image file, using libqrencode allows applications to render QR Code symbols
from raw bitmap data directly. This library also contains a command-line
utility outputs QR Code images in various formats.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup


%build
./autogen.sh
%configure --disable-static
%make_build


%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%{?ldconfig_scriptlets}


%files
%license COPYING
%doc README README.md
%{_bindir}/qrencode
%{_mandir}/man1/qrencode.1*
%{_libdir}/*.so.*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libqrencode.pc


%changelog
* Fri Mar 17 2023 Thomas Sailer <fedora@tsailer.ch> - 4.1.1-1
- initial package
